Package weka.classifiers.bayes.net.search.fixed

# Class NaiveBayes

java.lang.Object
weka.classifiers.bayes.net.search.SearchAlgorithm
weka.classifiers.bayes.net.search.fixed.NaiveBayes

All Implemented Interfaces:
  `Serializable`, `OptionHandler`, `RevisionHandler`

public class NaiveBayes extends SearchAlgorithm
The NaiveBayes class generates a fixed Bayes network structure with arrows from the class variable to each of the attribute variables.

Version:
  $Revision: 1.6 $
Author:
  Remco Bouckaert
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`NaiveBayes()`

## Method Summary

Modifier and Type
Method
Description
`void`
`buildStructure(BayesNet bayesNet, Instances instances)`
buildStructure determines the network structure/graph of the network.
`String`
`getRevision()`
Returns the revision string.
`String`
`globalInfo()`
Returns a string describing this object

### Methods inherited from class weka.classifiers.bayes.net.search.SearchAlgorithm

`getOptions, initAsNaiveBayesTipText, listOptions, maxNrOfParentsTipText, setOptions, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### NaiveBayes

public NaiveBayes()

## Method Details

### globalInfo

public String globalInfo()
Returns a string describing this object

Returns:
  a description of the classifier suitable for displaying in the explorer/experimenter gui

### buildStructure

public void buildStructure(BayesNet bayesNet, Instances instances) throws Exception
Description copied from class: `SearchAlgorithm`
buildStructure determines the network structure/graph of the network. The default behavior is creating a network where all nodes have the first node as its parent (i.e., a BayesNet that behaves like a naive Bayes classifier). This method can be overridden by derived classes to restrict the class of network structures that are acceptable.

Overrides:
  `buildStructure` in class `SearchAlgorithm`
Parameters:
  `bayesNet` -
  `instances` - the instances to work with
Throws:
  `Exception` - if something goes wrong

### getRevision

public String getRevision()
Returns the revision string.

Specified by:
  `getRevision` in interface `RevisionHandler`
Overrides:
  `getRevision` in class `SearchAlgorithm`
Returns:
  the revision